OpenVDB 13.0.0

Loading...
Searching...
No Matches
DDA.h File Reference

Digital Differential Analyzers specialized for VDB. More...

`#include "Coord.h"`
`#include "Math.h"`
`#include "Vec3.h"`
`#include <openvdb/Types.h>`
`#include <openvdb/util/Assert.h>`
`#include <iostream>`
`#include <limits>`

Go to the source code of this file.

## Classes
class | DDA< RayT, Log2Dim >
| A Digital Differential Analyzer specialized for OpenVDB grids. More...
struct | LevelSetHDDA< TreeT, NodeLevel >
| Helper class that implements Hierarchical Digital Differential Analyzers and is specialized for ray intersections with level sets. More...
struct | LevelSetHDDA< TreeT, -1 >
| Specialization of Hierarchical Digital Differential Analyzer class that intersects a ray against the voxels of a level set. More...
class | VolumeHDDA< TreeT, RayT, ChildNodeLevel >
| Helper class that implements Hierarchical Digital Differential Analyzers for ray intersections against a generic volume. More...
class | VolumeHDDA< TreeT, RayT, 0 >
| Specialization of Hierarchical Digital Differential Analyzer class that intersects against the leafs or tiles of a generic volume. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::math

## Functions
template<typename RayT, Index Log2Dim>
std::ostream & | operator<< (std::ostream &os, const DDA< RayT, Log2Dim > &dda)
| Output streaming of the Ray class.

## Detailed Description

Digital Differential Analyzers specialized for VDB.

Author
  Ken Museth